Post Reply

[IDE][3.6.30.14100] Virtuous Ten Studio - Advanced Reverse Engineering Solution

Announcement from Diamondback: VTS has its own support area now. Check it out: http://forum.xda-developers.com/apps/virtuous-ten-studio
25th April 2012, 09:38 PM   |  #11  
movelbit's Avatar
Senior Member
Flag Valongo
Thanks Meter: 89
 
454 posts
Join Date:Joined: Nov 2008
More
installing right now.

looks great. been subscribed to the preview topic waiting for this day

setup wants to download aditional files such as .net framework 4.

cant those be included in a more complete / advanced setup?
The Following User Says Thank You to movelbit For This Useful Post: [ View ]
25th April 2012, 09:44 PM   |  #12  
Diamondback's Avatar
OP Developer Committee / Senior Moderator / Recognized Developer
Thanks Meter: 6,353
 
4,390 posts
Join Date:Joined: Jan 2010
More
Quote:
Originally Posted by bitmovel

installing right now.

looks great. been subscribed to the preview topic waiting for this day

setup wants to download aditional files such as .net framework 4.

cant those be included in a more complete / advanced setup?

Why exactly would you want that? What's the advantage over letting the installer download the files?
The Following User Says Thank You to Diamondback For This Useful Post: [ View ]
25th April 2012, 09:45 PM   |  #13  
Diamondback's Avatar
OP Developer Committee / Senior Moderator / Recognized Developer
Thanks Meter: 6,353
 
4,390 posts
Join Date:Joined: Jan 2010
More
Also, if something doesn't work directly from the start (can always happen) feel free to come to #vts-dev on freenode, it's much easier to troubleshoot things via IRC.
The Following User Says Thank You to Diamondback For This Useful Post: [ View ]
25th April 2012, 09:57 PM   |  #14  
Alex-V's Avatar
Recognized Developer
Thanks Meter: 4,189
 
7,987 posts
Join Date:Joined: Aug 2008
More
5 stars..for this and many thx

with kind regards..Alex
25th April 2012, 10:45 PM   |  #15  
Dunc001's Avatar
Recognized Developer
Flag Hiding out south of the border...
Thanks Meter: 1,334
 
2,610 posts
Join Date:Joined: Apr 2010
More
Faaaaaaaaark! Downloading now. Ben waiting so long... am I dreaming Any news on m10?
The Following User Says Thank You to Dunc001 For This Useful Post: [ View ]
25th April 2012, 11:10 PM   |  #16  
Account Currently Disabled
Flag Chicago
Thanks Meter: 201
 
750 posts
Join Date:Joined: Feb 2011
More
Thanks a lot man! I will definitely be checking this out tonight or tomorrow night!
25th April 2012, 11:30 PM   |  #17  
Ghost's Avatar
Forum Moderator / Retired Recognized Developer
XDA MODERATOR
Thanks Meter: 4,083
 
5,892 posts
Join Date:Joined: Jul 2010
This is an awsome tool! Hopefully you can help me. I am using an ICS sense 3.6 rom for the sensation. 3.32.401.5_R.

I have taken the framework-res.apk file from it and used V10 studio to decompile. It decompiles fine and I was able to edit a couple of apk files as a test. I then tried to compile and got apktool failed exit code 1.

Now interestingly I took the same framework-res.apk file and ran it through UOT kitchen to make the battery mod. I then used it on V10, decompiled and recompiled with out any errors. Any idea why the origional apk wont recompile?
25th April 2012, 11:34 PM   |  #18  
Diamondback's Avatar
OP Developer Committee / Senior Moderator / Recognized Developer
Thanks Meter: 6,353
 
4,390 posts
Join Date:Joined: Jan 2010
More
Quote:
Originally Posted by GhostXSeries

This is an awsome tool! Hopefully you can help me. I am using an ICS sense 3.6 rom for the sensation. 3.32.401.5_R.

I have taken the framework-res.apk file from it and used V10 studio to decompile. It decompiles fine and I was able to edit a couple of apk files as a test. I then tried to compile and got apktool failed exit code 1.

Now interestingly I took the same framework-res.apk file and ran it through UOT kitchen to make the battery mod. I then used it on V10, decompiled and recompiled with out any errors. Any idea why the origional apk wont recompile?

Most likely because the kitchen uses another ApkTool version.

sometimes older/newer versions fix issues with other versions. It might sound strange but that's the way it works
If you get apktool errors you need to play around with the different versions to get optimal results. Unfortunately there is no versions which fixes every issue

Remember that you can set the ApkTool binary in the project settings.
The Following User Says Thank You to Diamondback For This Useful Post: [ View ]
25th April 2012, 11:44 PM   |  #19  
Ghost's Avatar
Forum Moderator / Retired Recognized Developer
XDA MODERATOR
Thanks Meter: 4,083
 
5,892 posts
Join Date:Joined: Jul 2010
Cool, I'm actually starting to think it may be an issue with the rom not being deodexed properly. I will play arround with it and see how it goes!
26th April 2012, 01:58 AM   |  #20  
Ghost's Avatar
Forum Moderator / Retired Recognized Developer
XDA MODERATOR
Thanks Meter: 4,083
 
5,892 posts
Join Date:Joined: Jul 2010
When compiling the framework-res.apk I am getting a weird error. It says:

Multiple substitutions sepesified in non-positional format; did you mean to add the formatted-"false" attribute?

In in each of the values folders it has an issue with the plurals.xml file and has entires

data\res\values\plurals.xml:79 error Found tag </item. were </plurals> is expected.

I had a look and the plurals.xml file is ok. Is there any reason for these errors?

Post Reply Subscribe to Thread

Tags
adb, all in one, apk, apk manager, apk multi tool, apktool, dex2jar, draw9patch, dsixda, ide, java, logcat, m10 files, m10 images, m10 tools, resources, sense, sense skins, smali, super powerful, syntax highlighting, theming, visual studio, vts, xml
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes